Bug 1027233 - Stata 13.0 missing icons, problem with new versions of libpng and zlib
Stata 13.0 missing icons, problem with new versions of libpng and zlib
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libpng (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cosimo Cecchi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 07:07 EST by Dominik Grafenhofer
Modified: 2014-12-02 08:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-02 08:07:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (50.40 KB, image/jpeg)
2013-11-06 07:07 EST, Dominik Grafenhofer
no flags Details

  None (edit)
Description Dominik Grafenhofer 2013-11-06 07:07:17 EST
Created attachment 820307 [details]
Screenshot

Stata 13.0 is a proprietary statistics package with a GUI based on GTK 2. After startup the sofware works, but does not display icons throughout the app (see screenshot). Stata technical support hints at a bug in the Adwaita theme.

Console output during Stata startup:

** (xstata:10952): WARNING **: Pixbuf theme: Cannot load pixmap file /usr/share/themes/Adwaita/gtk-2.0/Entry/entry-border-disabled-bg.png: Failed to load image '/usr/share/themes/Adwaita/gtk-2.0/Entry/entry-border-disabled-bg.png': Fatal error in PNG image file: bad parameters to zlib


(xstata:10952): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_width: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(xstata:10952): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_height: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

** (xstata:10952): WARNING **: Invalid borders specified for theme pixmap:
        /usr/share/themes/Adwaita/gtk-2.0/Entry/entry-border-disabled-bg.png,
borders don't fit within the image

(xstata:10952): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_n_channels: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(xstata:10952): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_pixels: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(xstata:10952): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_rowstride: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(xstata:10952): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_n_channels: assertion 'GDK_IS_PIXBUF (pixbuf)' failed

(xstata:10952): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_pixels: assertion 'GDK_IS_PIXBUF (pixbuf)' failed
Comment 1 olsman037 2013-11-27 06:08:32 EST
I have the same problem on archlinux.
using the idea here http://www.sublimetext.com/forum/viewtopic.php?f=3&t=13508 I downloaded and installed libpng-1.6.2, copy /usr/lib/libpng*.so in /usr/lib/stata, update my system (re-install latest libpng), and sudo ldconfig /usr/lib/stata

icons are back

Hope it helps you…
Comment 2 Paul Loewenstein 2014-03-08 15:16:15 EST
I am having the same problem with vuescan on Fedora 20.  Using libpng-1.6.2 does not fix the problem.  Vuescan core dumps with libpng-1.6.2, but only after the
 
(vuescan:2295): WARNING **: Pixbuf theme: Cannot load pixmap file /usr/share/themes/Adwaita/gtk-2.0/Entry/entry-border-fill.png: Failed to load image '/usr/share/themes/Adwaita/gtk-2.0/Entry/entry-border-fill.png': Fatal error in PNG image file: bad parameters to zlib

message.

Does not work with libpng-1.6.9 either, (no core dump).
Comment 3 Paul Loewenstein 2014-04-14 23:52:15 EDT
The vuescan problem occurs on 32-bit as well as 64-bit Fedora 20.
Comment 4 Dominik Grafenhofer 2014-06-29 16:05:24 EDT
The problem lies in new versions of libpng and zlib. There is an automated solution provided here: https://bitbucket.org/vilhuberl/stata-png-fix

I had to adjust the path of stata in the file "/usr/local/stata-png-fix/stata-png-fixed.sh". After that fix, the last line reads "exec /usr/local/stata/$flavor $args" on my machine.
Comment 5 Dominik Grafenhofer 2014-11-19 14:14:43 EST
Problem persists on F21beta + updates. Workaround still works.
Comment 6 Paul Loewenstein 2014-11-29 03:00:06 EST
Workaround in https://bitbucket.org/vilhuberl/stata-png-fix works for vuescan as well (tested in 64-bit F20).
Comment 7 Petr Hracek 2014-12-02 08:07:22 EST
I see the problem, but I think that this is a 3rd party problem and not inside libpng. Stata should provide a fix for this problem.

If you have another idea please fill free to reopen bug.
I think that libpng should not provide any automated solution for stata.
libpng should provide a libraries.

Note You need to log in before you can comment on or make changes to this bug.